DB connection fails in 1.3.20 after upgrade to PHP 7.3.25

Get help from other users here.

Moderators: Developer, Contributor

Post Reply
immerso
Posts: 3
Joined: 30 Dec 2020, 12:09

DB connection fails in 1.3.20 after upgrade to PHP 7.3.25

Post by immerso »

I run a Mantis 1.3.20 installation (and would like to keep that, because I am used to the classical design).
Suddenly I get the "APPLICATION ERROR #400": PHP Support for database is not enabled.

Probably this has to do with a PHP upgrade from the hoster. PhpMyAdmin says:
Server-Type: MariaDB
Server-Version: 10.3.27-MariaDB-0+deb10u1 - Debian 10
PHP-Extension: mysqli
PHP-Version: 7.3.25


In config_inc.php, I have already:
$g_db_type = 'mysqli';

Any ideas? It worked fine until yesterday.
immerso
Posts: 3
Joined: 30 Dec 2020, 12:09

Re: DB connection fails in 1.3.20 after upgrade to PHP 7.3.25

Post by immerso »

Sorry, the values in PhpMyAdmin refer to the server on which that runs, which is not the same as my webserver. Phpinfo() for that server says:
PHP Version 7.3.19-1~deb10u1

Phpinfo() also states:
Build Date Jul 5 2020 06:46:45
but I am not sure whether this has something to do with when the actual update took place. I just assume that they did a PHP update yesterday, because until then everything worked and I can't imagine any other reason.
atrol
Site Admin
Posts: 7896
Joined: 26 Mar 2008, 21:37
Location: Germany

Re: DB connection fails in 1.3.20 after upgrade to PHP 7.3.25

Post by atrol »

Your provider has to activate the mysqli extension.

https://www.php.net/manual/en/mysqli.requirements.php
Please use Search before posting and read the Manual
immerso
Posts: 3
Joined: 30 Dec 2020, 12:09

Re: DB connection fails in 1.3.20 after upgrade to PHP 7.3.25

Post by immerso »

Thank you.
Problem is solved.
Post Reply